Arcen Idea Tracker (Bugs and Features)

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryDate SubmittedLast Update
0018935Starward Rogue[All Projects] Bug - GameplayDec 22, 2016 5:31 pmJan 3, 2017 9:34 am
Reportereruanion 
Assigned Tox4000 
Severitymajor 
StatusresolvedResolutionfixed 
Product Version1.503 and 1.504 (Beta) 
Fixed in Version1.505 (Beta) 
Summary0018935: excess health at start of new run
DescriptionI'm not sure what the steps to replicate this are. After dying a few floors into a run, I selected "start new run" from the failed run screen. On this new run the health bar had a graphical glitch and my health capacity said 25/10. After receiving 10 points of damage, my health bar returned to the normal 10/10 and the visual glitch disappeared. (The bug report save is from when I had taken some damage and was down to 20/10).

I will update if I manage to replicate the bug.
TagsNo tags attached.
Attached Files? file icon ForBugReport_2016_12_22_14_22_04.save [^] (81,049 bytes) Dec 22, 2016 5:31 pm
jpg file icon 20161222141941_1.jpg [^] (189,730 bytes) Dec 22, 2016 5:32 pm

- Relationships

-  Notes
(0045734)
Pepisolo (developer)
Jan 2, 2017 7:49 pm
edited on: Jan 2, 2017 7:49 pm

Yeah, just encountered this myself in 1.504. I'm going to try and reproduce it. Seems like a weird one.

(0045735)
x4000 (administrator)
Jan 3, 2017 9:24 am

The visual glitch is thankfully just it naively rendering the health bar at 250% the length it normally should be. It appears that the bug here is simply that between runs you can wind up with more starting health than you are supposed to have (probably by switching mechs?).

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
Dec 22, 2016 5:31 pm eruanion New Issue
Dec 22, 2016 5:31 pm eruanion File Added: ForBugReport_2016_12_22_14_22_04.save
Dec 22, 2016 5:32 pm eruanion File Added: 20161222141941_1.jpg
Dec 22, 2016 5:33 pm eruanion Description Updated View Revisions
Jan 2, 2017 7:49 pm Pepisolo Note Added: 0045734
Jan 2, 2017 7:49 pm Pepisolo Note Edited: 0045734 View Revisions
Jan 2, 2017 7:50 pm Pepisolo Assigned To => Pepisolo
Jan 2, 2017 7:50 pm Pepisolo Status new => assigned
Jan 3, 2017 9:24 am x4000 Note Added: 0045735
Jan 3, 2017 9:34 am x4000 Status assigned => resolved
Jan 3, 2017 9:34 am x4000 Fixed in Version => 1.505 (Beta)
Jan 3, 2017 9:34 am x4000 Resolution open => fixed
Jan 3, 2017 9:34 am x4000 Assigned To Pepisolo => x4000


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker